Bug 879015 - [RFE] initiator groups support
Summary: [RFE] initiator groups support
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: targetcli
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Andy Grover
QA Contact: Bruno Goncalves
URL:
Whiteboard:
Depends On: 878711
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-21 20:02 UTC by Andy Grover
Modified: 2021-09-06 12:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 878711
Environment:
Last Closed: 2014-06-13 13:31:14 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Andy Grover 2012-11-21 20:02:06 UTC
+++ This bug was initially created as a clone of Bug #878711 +++

Description of problem:

Can we support to create the wwn alias which is the general function of the storage array.

It will benefit the users that they don't have to always remember which wwn is belong which initiator. 

The following is the layout of netapp wwn alias ( they call it igoup ).
It can assign multiple WWNs to one igroup.

na3170a> igroup show
    nate_pnate-client-01 (FCP) (ostype: linux):
        21:00:00:24:ff:32:f9:aa (logged in on: 2a, vtic)	
        21:00:00:24:ff:32:f9:ab (logged in on: 2b, vtic)	
    nate_pnate-client-02 (FCP) (ostype: linux):
        10:00:00:00:c9:90:be:2a (logged in on: 2a, vtic)	
        10:00:00:00:c9:90:be:2b (logged in on: 2b, vtic)	

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
/tcm_fc/20:00...55:1d:66/acls> ls
o- acls ..................................................................................... [4 ACLs]
  o- 20:00:00:10:18:88:e9:49 .......................................................... [1 Mapped LUN]
  | o- mapped_lun0 ......................................................... [lun0 block/share01 (rw)]
  o- 20:00:00:10:18:88:e9:4b .......................................................... [1 Mapped LUN]
  | o- mapped_lun0 ......................................................... [lun0 block/share01 (rw)]
  o- 20:00:00:1b:21:59:12:36 ......................................................... [5 Mapped LUNs]
  | o- mapped_lun0 ......................................................... [lun0 block/share01 (rw)]
  | o- mapped_lun1 ......................................................... [lun1 block/st13_01 (rw)]
  | o- mapped_lun2 ......................................................... [lun2 block/st13_02 (rw)]
  | o- mapped_lun3 ......................................................... [lun3 block/st13_03 (rw)]
  | o- mapped_lun4 ......................................................... [lun4 block/st13_04 (rw)]
  o- 20:00:00:1b:21:59:12:37 ......................................................... [5 Mapped LUNs]
    o- mapped_lun0 ......................................................... [lun0 block/share01 (rw)]
    o- mapped_lun1 ......................................................... [lun1 block/st13_01 (rw)]
    o- mapped_lun2 ......................................................... [lun2 block/st13_02 (rw)]
    o- mapped_lun3 ......................................................... [lun3 block/st13_03 (rw)]
    o- mapped_lun4 ......................................................... [lun4 block/st13_04 (rw)]

Expected results:


Additional info:

Comment 1 Andy Grover 2012-11-21 20:04:04 UTC
Initiators should be groupable by iqn (for iscsi) or wwn (for fc/fcoe) so they can have ACLs managed for all of them in the group at once.

Comment 2 Xiaowei Li 2012-11-23 05:59:24 UTC
Another request is to set the auto_add_mapped_luns to false.

Usually the users need to do lun mapping manually.

Comment 3 Xiaowei Li 2012-11-23 05:59:48 UTC
(In reply to comment #2)
> Another request is to set the auto_add_mapped_luns to false.
> 
> Usually the users need to do lun mapping manually.

set the default auto_add_mapped_luns to false.

Comment 5 Andy Grover 2013-07-03 18:31:02 UTC
implemented using tag and untag commands under 'acls' node.

Comment 7 Bruno Goncalves 2014-02-13 08:55:41 UTC
Verified with targetcli-2.1.fb31-2.el7.noarch
kernel 3.10.0-84.el7.x86_64

targetcli /iscsi/iqn.2009-10.com.redhat:storage-1/tpg1/acls create iqn.1994-05.com.redhat:test-1 true
Created Node ACL for iqn.1994-05.com.redhat:test-1
Created mapped LUN 1.

targetcli /iscsi/iqn.2009-10.com.redhat:storage-1/tpg1/acls tag iqn.1994-05.com.redhat:test-1 storage-iqn


targetcli /iscsi/iqn.2009-10.com.redhat:storage-1/tpg1/acls create iqn.1994-05.com.redhat:test-2 true
Created Node ACL for iqn.1994-05.com.redhat:test-2
Created mapped LUN 1.

targetcli /iscsi/iqn.2009-10.com.redhat:storage-1/tpg1/acls tag iqn.1994-05.com.redhat:test-2 storage-iqn
targetcli /iscsi/iqn.2009-10.com.redhat:storage-1/tpg1/acls/storage-iqn info
tag: storage-iqn
wwns:
iqn.1994-05.com.redhat:test-2
iqn.1994-05.com.redhat:test-1


targetcli ls
o- / ......................................................................................................................... [...]
  o- backstores .............................................................................................................. [...]
  | o- block .................................................................................................. [Storage Objects: 0]
  | o- fileio ................................................................................................. [Storage Objects: 1]
  | | o- target1-lun1 ......................................................... [./target1-lun1.img (200.0MiB) write-back activated]
  | o- pscsi .................................................................................................. [Storage Objects: 0]
  | o- ramdisk ................................................................................................ [Storage Objects: 0]
  o- iscsi ............................................................................................................ [Targets: 1]
  | o- iqn.2009-10.com.redhat:storage-1 .................................................................................. [TPGs: 1]
  |   o- tpg1 .................................................................................................. [gen-acls, no-auth]
  |     o- acls .......................................................................................................... [ACLs: 1]
  |     | o- storage-iqn ........................................................................... [(group of 2) , Mapped LUNs: 1]
  |     |   o- mapped_lun1 ......................................................................... [lun1 fileio/target1-lun1 (rw)]
  |     o- luns .......................................................................................................... [LUNs: 1]
  |     | o- lun1 ....................................................................... [fileio/target1-lun1 (./target1-lun1.img)]
  |     o- portals .................................................................................................... [Portals: 1]
  |       o- [::0]:3260 ....................................................................................................... [OK]
  o- loopback ......................................................................................................... [Targets: 0]

Comment 8 Ludek Smid 2014-06-13 13:31:14 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.